Subject: Re: C-Click on a mode in the mode-line causes crash in MacOS X

From: Jason Schadel <[email-masked]>
Date: Mon, 2 Feb 2009 10:50:13 -0500

I do have a Kensington Expert Mouse with their ancient Mouseworks  
software installed.  I wouldn't be surprised if that is the problem.

No more crashes with your update.  Here are the results:
<mode-line> <C-mouse-1> is undefined
mode-line down-mouse-3- shows the minor-mode menu
mode-line down-mouse-1- shows the mode menu

-Jason

On Jan 23, 2009, at 5:32 AM, Adrian Robert wrote:

> I still cannot reproduce it.  The only clue I can find is that the  
> crash seems to be deep inside OS X's own menu code, when it  
> apparently tries to send a selection to -[EmacsView
> writeSelectionToPasteboard:types:].  This should only occur if a  
> native services menu selection is made, however for Emacs.app we  
> override the services menu with our own items, so any selection from  
> the actual visible services menu goes through ns-perform-service.
>
> In your case, it seems doing your mouse action is somehow triggering  
> a call into the (hidden and overridden) original services menu.  Do  
> you know why this might be?  Do you have anything unusual running on  
> your Mac, such as something that automatically is active when a  
> selection is made or a menu item chosen, or a certain type of mouse- 
> click made, or something like that?
>
> Anyway, I have checked in something that might at least avoid the  
> crash for now, it simply stubs out the methods in question:
>
> -writeSelectionToPasteboard:types: and -readSelectionFromPasteboard:
>
> Let me know if this stops the crash, and if so, if any behavior that  
> is normally expected (in connection with this behind-the-scenes  
> service call if you know what it is) is not observed.
>
> thanks,
> Adrian
>